<?php
/**
 * REST API.
 *
 * @since 3.5.0
 */

namespace SimplePay\Pro;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * REST_API class.
 *
 * @since 3.5.0
 */
class REST_API {

	/**
	 * @since 3.5.0
	 */
	public function __construct() {
		add_action( 'rest_api_init', array( $this, 'register_routes' ), 20 );
	}

	/**
	 * Register routes.
	 *
	 * @since 3.5.0
	 */
	public function register_routes() {
		$controllers = array(
			'Webhook_Receiver',
			'Webhooks',
		);

		$versions = simpay_get_rest_api_versions();

		foreach ( $controllers as $controller ) {
			foreach ( $versions as $version ) {
				$classname = "SimplePay\Pro\REST_API\\{$version}\\{$controller}_Controller";

				$this->$classname = new $classname();
				$this->$classname->register_routes();
			}
		}
	}

}
