<?php
/**
 * Output Telephone field in the frontend form.
 *
 * @since 3.5.0
 */

namespace SimplePay\Pro\Forms\Fields;
use SimplePay\Core\Abstracts\Custom_Field;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Telephone class.
 *
 * @since 3.5.0
 */
class Telephone extends Custom_Field {

	/**
	 * Telephone field constructor.
	 */
	public function __construct() {
	}

	/**
	 * Render Telephone field front-end HTML.
	 *
	 * @param array $settings Field settings.
	 * @return string
	 */
	public static function print_html( $settings ) {
		$id          = isset( $settings['id'] ) ? simpay_dashify( $settings['id'] ) : '';
		$label       = isset( $settings['label'] ) ? $settings['label'] : '';
		$placeholder = isset( $settings['placeholder'] ) ? $settings['placeholder'] : '';
		$required    = isset( $settings['required'] ) ? 'required' : '';

		ob_start();
?>

<div id="<?php echo esc_attr( $id ); ?>" class="simpay-form-control simpay-telephone-container">

	<div class="simpay-telephone-label simpay-label-wrap">
		<label for="<?php echo esc_attr( $id ); ?>"><?php echo esc_html( $label ); ?></label>
	</div>

	<div class="simpay-telephone-field simpay-field-wrap">
		<input name="simpay_telephone" id="<?php echo esc_attr( $id ); ?>" type="tel" class="simpay-telephone" placeholder="<?php echo esc_attr( $placeholder ); ?>" <?php echo $required; ?> />
	</div>
</div>

<?php
		return ob_get_clean();
	}

}
