/**
 * WordPress dependencies
 */
const defaultConfig = require( '@wordpress/scripts/config/webpack.config.js' );

module.exports = {
	...defaultConfig,
	// Override externals so dependencies can be packaged with the assets
	// because the minimum WordPress version is still 4.9.
	externals: {
		jquery: 'jQuery',
	},
	resolve: {
		...defaultConfig.resolve,
		modules: [
			`${ __dirname }/assets/js`,
			'node_modules',
		],
	},
	entry: {
		'admin': './assets/js/admin.js',
		'public-pro': './assets/js/public-pro.js',
		'admin-pro': './assets/js/admin-pro.js',
		'admin-subs': './assets/js/admin-subs.js',
		'simpay-admin-notices': './assets/js/admin/notices.js',
		'simpay-pro-recaptcha': './assets/js/pro/frontend/recaptcha.js',
	},
	output: {
		filename: 'assets/js/[name].min.js',
		path: __dirname,
	},
};